Bug 428601 - SE Linux preventing x load when opening Open Office
SE Linux preventing x load when opening Open Office
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-13 22:18 EST by Malcolm Beale
Modified: 2008-11-17 17:02 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-11-17 17:02:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Malcolm Beale 2008-01-13 22:18:07 EST
Description of problem:
SELinux is preventing X from loading /usr/lib/xorg/modules/glesx.so which
requires text relocation.

Version-Release number of selected component (if applicable):
Source Context:  system_u:system_r:xdm_xserver_t:s0-s0:c0.c1023Target
Context:  system_u:object_r:lib_t:s0Target
Objects:  /usr/lib/xorg/modules/glesx.so [ file ]Affected RPM
Packages:  xorg-x11-drv-fglrx-8.443.1-1.7.12.lvn8 [target]Policy
RPM:  selinux-policy-3.0.8-72.fc8Selinux Enabled:  TruePolicy Type:  targetedMLS
Enabled:  TrueEnforcing Mode:  EnforcingPlugin Name:  plugins.allow_execmodHost
Name:  iemersic.qmac.localPlatform:  Linux iemersic.qmac.local
#1 SMP Fri Dec 7 15:49:59 EST 2007 i686 i686Alert Count:  16First Seen:  Tue 01
Jan 2008 15:14:35 WSTLast Seen:  Mon 14 Jan 2008 09:51:55 WSTLocal
ID:  8cd5d6a9-ade8-4943-b29f-309c00503b8dLine Numbers:  Raw Audit Messages :avc:
denied { execmod } for comm=X dev=dm-0 path=/usr/lib/xorg/modules/glesx.so
pid=2890 scontext=system_u:system_r:xdm_xserver_t:s0-s0:c0.c1023 tclass=file

How reproducible:

Steps to Reproduce:
1.Open a text document with Open Office 2.3
Actual results:
SE Linux trouble shooter pop up

Expected results:

Additional info:
Comment 1 Daniel Walsh 2008-01-14 12:59:55 EST
xorg-x11-drv-fglrx is not part of Fedora, or at least I can't find it.  The
library was built incorrectly or uses some assembly code to cause this problem.
 It should be reported upstream to fix the problem.


I will fix the default mapping for now.

Fixed in selinux-policy-3.0.8-76.fc8
Comment 2 Daniel Walsh 2008-11-17 17:02:49 EST
Closing all bugs that have been in modified for over a month.  Please reopen if the bug is not actually fixed.

Note You need to log in before you can comment on or make changes to this bug.